
CoCoALib - Feature #215

Janet Bases: check and include code in CoCoALib (first prototype)

02 Aug 2012 16:12 - Anna Maria Bigatti

Status: Closed Start date: 02 Aug 2012

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: New Function Estimated time: 0.00 hour

Target version: CoCoALib-0.99540 Feb 2016 Spent time: 3.40 hours

Description

Integrate code by Mario Albert into CoCoALib

Related issues:

Related to CoCoALib - Support #262: Play with GIT New 10 Oct 2012

Related to CoCoA-5 - Feature #216: Janet Bases: port function into CoCoA-5 In Progress 02 Aug 2012

Related to CoCoALib - Feature #383: Resolution/morse: integrate Mario Albert'... In Progress 27 Jun 2013

Related to CoCoALib - Feature #400: add myJBMill member field to ideal New 02 Aug 2013

Related to CoCoALib - Design #455: Which sets of generators in an ideal? New 03 Mar 2014

Related to CoCoALib - Feature #665: Integrate Janet/Pommaret basis code In Progress 11 Feb 2015

History

#1 - 19 Oct 2012 18:25 - Anna Maria Bigatti

- Status changed from New to In Progress

- Assignee set to Anna Maria Bigatti

- Target version set to CoCoALib-0.9953

- % Done changed from 0 to 10

I've added to our CVS the files (files are called Tmp when we have no txt documentation ;-)

TmpJBDatastructure.CH

TmpJBSets.CH

TmpJBEnv.CH

and the examples

ex-Janet1.C

ex-Janet2.C

ex-Janet3.C

and the function janet in BuiltinFunctions.C (with the necessary changes in the src/CoCoA-5/ directory)

did I miss any files?

You will need a make veryclean; make

TO DO:

- copyright header (discussion)

- checking by Anna

- txt doc?
#2 - 28 Nov 2012 11:02 - John Abbott

Last night I tried compiling CoCoALib on my old Mac G5, and the compiler reported a problem in TmpJBSet.H -- the data member myPolynom is

private inside a nested class.  Since the code compiles fine elsewhere, I suspect it is a compiler fault.

I regard the problem as unimportant (but quite annoying nonetheless) because the compiler on my G5 is an old Apple-hacked version of gcc/g++. 

Perhaps I have an excuse for buying myself a new home computer?  Or maybe I simply should not use it for work...

#3 - 17 Apr 2013 11:13 - Anna Maria Bigatti

added test-JBMill1.C to CVS and to the Makefile

(commented out all "cout" to be tested silently)

#4 - 29 Oct 2013 13:45 - Anna Maria Bigatti

- Status changed from In Progress to Feedback

The general task is fully done.

Yet to do: add JB field in ideal in cocoalib, and consequent functions in cocoa-5

#5 - 21 Mar 2014 14:28 - Anna Maria Bigatti

- Target version changed from CoCoALib-0.9953 to CoCoALib-0.99532

#6 - 01 Apr 2014 18:55 - Anna Maria Bigatti

- Target version changed from CoCoALib-0.99532 to CoCoALib-0.99533 Easter14

#7 - 07 Apr 2014 14:38 - John Abbott

- Target version changed from CoCoALib-0.99533 Easter14 to CoCoALib-0.99534 Seoul14

- % Done changed from 10 to 20

#8 - 31 Jul 2014 14:54 - John Abbott

- Target version changed from CoCoALib-0.99534 Seoul14 to CoCoALib-1.0

#9 - 08 May 2015 11:58 - John Abbott

- Target version changed from CoCoALib-1.0 to CoCoALib-0.99540 Feb 2016

This issue has status Feedback but the percent done is just 20%.

What is the actual status?  Should this issue be closed, and future progress registered under issue 400?

I think I vaguely recall that there has been progress fairly recently.

#10 - 24 Mar 2016 11:50 - Anna Maria Bigatti

- Subject changed from Janet Bases: check and include code in CoCoALib to Janet Bases: check and include code in CoCoALib (first prototype)

- Status changed from Feedback to Closed

- % Done changed from 20 to 100

Anna Maria Bigatti wrote:

The general task is fully done.

Yet to do: add JB field in ideal in cocoalib, and consequent functions in cocoa-5
Closing this old issue: there are already specific new issues for the refinements.
